OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSolid

# IGESSolid_ManifoldSolid Class Reference

defines ManifoldSolid, Type <186> Form Number <0>
in package IGESSolid
A manifold solid is a bounded, closed, and finite volume
in three dimensional Euclidean space

`#include <IGESSolid_ManifoldSolid.hxx>`

Inheritance diagram for IGESSolid_ManifoldSolid:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSolid_ManifoldSolid ()
Standard_EXPORT void | Init (const Handle(IGESSolid_Shell)&aShell, const Standard_Boolean shellflag, const Handle(IGESSolid_HArray1OfShell)&voidShells, const Handle(TColStd_HArray1OfInteger)&voidShellFlags)
| This method is used to set the fields of the class ManifoldSolid - aShell : pointer to the shell - shellflag : orientation flag of shell - voidShells : the void shells - voidShellFlags : orientation of the void shells raises exception if length of voidShells and voidShellFlags do not match .
Standard_EXPORT Handle_IGESSolid_Shell | Shell () const
| returns the Shell entity which is being referred
Standard_EXPORT Standard_Boolean | OrientationFlag () const
| returns the orientation flag of the shell
Standard_EXPORT Standard_Integer | NbVoidShells () const
| returns the number of void shells
Standard_EXPORT Handle_IGESSolid_Shell | VoidShell (const Standard_Integer Index) const
| returns Index'th void shell. raises exception if Index <= 0 or Index > NbVoidShells()
Standard_EXPORT Standard_Boolean | VoidOrientationFlag (const Standard_Integer Index) const
| returns Index'th orientation flag. raises exception if Index <= 0 or Index > NbVoidShells()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESSolid_Shell | theShell
Standard_Boolean | theOrientationFlag
Handle_IGESSolid_HArray1OfShell | theVoidShells
Handle_TColStd_HArray1OfInteger | theOrientFlags

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_ManifoldSolid::IGESSolid_ManifoldSolid | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSolid_ManifoldSolid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_ManifoldSolid::Init | ( | const Handle(IGESSolid_Shell)& | aShell,
|  | const Standard_Boolean | shellflag,
|  | const Handle(IGESSolid_HArray1OfShell)& | voidShells,
|  | const Handle(TColStd_HArray1OfInteger)& | voidShellFlags
| ) |

Standard_EXPORT Standard_Integer IGESSolid_ManifoldSolid::NbVoidShells | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESSolid_ManifoldSolid::OrientationFlag | ( |  | ) | const

Standard_EXPORT Handle_IGESSolid_Shell IGESSolid_ManifoldSolid::Shell | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESSolid_ManifoldSolid::VoidOrientationFlag | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Handle_IGESSolid_Shell IGESSolid_ManifoldSolid::VoidShell | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESSolid_ManifoldSolid::theOrientationFlag`[private]`

Handle_TColStd_HArray1OfInteger IGESSolid_ManifoldSolid::theOrientFlags`[private]`

Handle_IGESSolid_Shell IGESSolid_ManifoldSolid::theShell`[private]`

Handle_IGESSolid_HArray1OfShell IGESSolid_ManifoldSolid::theVoidShells`[private]`

The documentation for this class was generated from the following file:

- IGESSolid_ManifoldSolid.hxx